SUSE: 2019:2185-1 moderate: flatpak

    Date20 Aug 2019
    CategorySuSE
    301
    Posted ByLinuxSecurity Advisories
    An update that fixes three vulnerabilities is now available.
    
       SUSE Security Update: Security update for flatpak
    ______________________________________________________________________________
    
    Announcement ID:    SUSE-SU-2019:2185-1
    Rating:             moderate
    References:         #1125431 #1133041 #1133043 
    Cross-References:   CVE-2019-11460 CVE-2019-11461 CVE-2019-8308
                       
    Affected Products:
                        SUSE Linux Enterprise Module for Desktop Applications 15
    ______________________________________________________________________________
    
       An update that fixes three vulnerabilities is now available.
    
    Description:
    
       This update for flatpak fixes the following issues:
    
       Security issues fixed:
    
       - CVE-2019-8308: Fixed a potential sandbox escape via /proc (bsc#1125431).
       - CVE-2019-11460: Fixed a compromised thumbnailer may escape the
         bubblewrap sandbox used to confine thumbnailers by using the TIOCSTI
         ioctl (bsc#1133043).
       - CVE-2019-11461: Fixed a compromised thumbnailer may escape the
         bubblewrap sandbox used to confine thumbnailers by using the TIOCSTI
         ioctl (bsc#1133041).
    
    
    Patch Instructions:
    
       To install this SUSE Security Update use the SUSE recommended installation methods
       like YaST online_update or "zypper patch".
    
       Alternatively you can run the command listed for your product:
    
       - SUSE Linux Enterprise Module for Desktop Applications 15:
    
          zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-2019-2185=1
    
    
    
    Package List:
    
       - SUSE Linux Enterprise Module for Desktop Applications 15 (aarch64 ppc64le s390x x86_64):
    
          flatpak-0.10.4-4.10.1
          flatpak-debuginfo-0.10.4-4.10.1
          flatpak-debugsource-0.10.4-4.10.1
          flatpak-devel-0.10.4-4.10.1
          libflatpak0-0.10.4-4.10.1
          libflatpak0-debuginfo-0.10.4-4.10.1
          typelib-1_0-Flatpak-1_0-0.10.4-4.10.1
    
    
    References:
    
       https://www.suse.com/security/cve/CVE-2019-11460.html
       https://www.suse.com/security/cve/CVE-2019-11461.html
       https://www.suse.com/security/cve/CVE-2019-8308.html
       https://bugzilla.suse.com/1125431
       https://bugzilla.suse.com/1133041
       https://bugzilla.suse.com/1133043
    
    _______________________________________________
    sle-security-updates mailing list
    This email address is being protected from spambots. You need JavaScript enabled to view it.
    http://lists.suse.com/mailman/listinfo/sle-security-updates
    
    You are not authorised to post comments.

    Comments powered by CComment

    LinuxSecurity Poll

    What do you think of the articles on LinuxSecurity?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/24-what-do-you-think-of-the-quality-of-the-articles-on-linuxsecurity?task=poll.vote&format=json
    24
    radio
    [{"id":"87","title":"Excellent, don't change a thing!","votes":"13","type":"x","order":"1","pct":54.17,"resources":[]},{"id":"88","title":"Should be more technical","votes":"4","type":"x","order":"2","pct":16.67,"resources":[]},{"id":"89","title":"Should include more HOWTOs","votes":"7","type":"x","order":"3","pct":29.17,"resources":[]}]["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"]["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"]350
    bottom200

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.